#ifndef BUTTON_H_
#define BUTTON_H_
//------------------------------------------------
#include "stm32f4xx_hal.h"
#include "stdint.h"
//------------------------------------------------
#define Button_Right 0x00
#define Button_Up 0x01
#define Button_Down 0x02
#define Button_Left 0x03
#define Button_Select 0x04
//------------------------------------------------
#define ST_PRESSED 0x01 //0b00000001 -  
#define ST_UNPRESSED 0x02 //0b00000010 -  
#define ST_ERROR 0x04 //0b00000100 -    
#define ST_PRESSURE 0x08 //0b00001000 -   
#define ST_UNPRESSURE 0x10 //0b00010000 -   
#define ST_LOCKED 0x20 //0b00100000 -  
//------------------------------------------------
void TIM_Callback(void);
void Button_Ini(void);
void ResetButtonState(uint8_t b, uint8_t st);
void SetButtonState(uint8_t b, uint8_t st);
//------------------------------------------------
#endif /* BUTTON_H_ */
